## dpf-plugins 1.7+ds

=== dpf/CMakeLists.txt ===
# DISTRHO Plugin Framework (DPF)
# Copyright (C) 2021 Jean Pierre Cimalando <jp-dev@inbox.ru>
#
# SPDX-License-Identifier: ISC

cmake_minimum_required(VERSION 3.7)

project(DPF)

# ensure c++11 at minimum, the parent project can override
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 11)
endif()

# check if we are building from this project, or are imported by another
if(PROJECT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
  set(DPF_BUILD_FROM_HERE TRUE)
else()
  set(DPF_BUILD_FROM_HERE FALSE)
endif()

option(DPF_LIBRARIES "Build the libraries" "${DPF_BUILD_FROM_HERE}")
option(DPF_EXAMPLES "Build the examples" "${DPF_BUILD_FROM_HERE}")

set(DPF_ROOT_DIR "${PROJECT_SOURCE_DIR}" CACHE INTERNAL
  "Root directory of the DISTRHO Plugin Framework.")

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
include(DPF-plugin)

if(DPF_LIBRARIES)
  find_package(PkgConfig)
  if(PKG_CONFIG_FOUND)
    pkg_check_modules(CAIRO "cairo")
    if(CAIRO_FOUND AND (NOT HAIKU))
      dpf__add_dgl_cairo(FALSE)
    endif()
  endif()
  dpf__add_dgl_opengl(FALSE)
endif()

if(DPF_EXAMPLES)
  find_package(PkgConfig)
  if(PKG_CONFIG_FOUND)
    pkg_check_modules(CAIRO "cairo")
    if(CAIRO_FOUND AND (NOT HAIKU))
      add_subdirectory("examples/CairoUI")
    endif()
  endif()
  if((NOT WIN32) AND (NOT APPLE))
    add_subdirectory("examples/ExternalUI")
  endif()
  add_subdirectory("examples/EmbedExternalUI")
  add_subdirectory("examples/FileHandling")
  add_subdirectory("examples/Info")
  add_subdirectory("examples/Latency")
  add_subdirectory("examples/Meters")
  add_subdirectory("examples/MidiThrough")
  add_subdirectory("examples/Parameters")
  add_subdirectory("examples/States")
endif()

=== plugins/3BandSplitter/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = 3BandSplitter

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPlugin3BandSplitter.cpp

FILES_UI  = \
	DistrhoArtwork3BandSplitter.cpp \
	DistrhoUI3BandSplitter.cpp

# --------------------------------------------------------------
# Do some magic

UI_TYPE = generic
FILE_BROWSER_DISABLED = true
include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS = jack ladspa lv2_sep vst2 vst3 clap

ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/CycleShifter/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = CycleShifter

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginCycleShifter.cpp

FILES_UI  = \
	DistrhoArtworkCycleShifter.cpp \
	DistrhoUICycleShifter.cpp

# --------------------------------------------------------------
# Do some magic

UI_TYPE = generic
FILE_BROWSER_DISABLED = true
include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += clap
TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3

ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/Kars/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = Kars

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginKars.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

all: jack dssi_dsp lv2_dsp vst2 vst3 clap

# --------------------------------------------------------------

=== plugins/PingPongPan/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = PingPongPan

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginPingPongPan.cpp

FILES_UI  = \
	DistrhoArtworkPingPongPan.cpp \
	DistrhoUIPingPongPan.cpp

# --------------------------------------------------------------
# Do some magic

UI_TYPE = generic
FILE_BROWSER_DISABLED = true
include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS = jack ladspa lv2_sep vst2 vst3 clap

ifeq ($(HAVE_CAIRO_OR_OPENGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/freeverb/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = MaFreeverb

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginMaxGen.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Extra flags

BUILD_CXX_FLAGS += -I../common -I../common/gen_dsp
BUILD_CXX_FLAGS += -Wno-unused-parameter

# --------------------------------------------------------------
# Enable all possible plugin types

all: jack ladspa lv2_dsp vst2 vst3 clap

# --------------------------------------------------------------

=== plugins/gigaverb/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = MaGigaverb

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	DistrhoPluginMaxGen.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Extra flags

BUILD_CXX_FLAGS += -I../common -I../common/gen_dsp
BUILD_CXX_FLAGS += -Wno-unused-parameter

# --------------------------------------------------------------
# Enable all possible plugin types

all: jack ladspa lv2_dsp vst2 vst3 clap

# --------------------------------------------------------------

=== plugins/ProM/projectM/presets/CMakeLists.txt ===
if(ENABLE_PRESETS)

    install(DIRECTORY
            presets_bltc201
            presets_eyetune
            presets_milkdrop
            presets_milkdrop_104
            presets_milkdrop_200
            presets_mischa_collection
            presets_projectM
            presets_stock
            presets_tryptonaut
            presets_yin
            DESTINATION "${PROJECTM_DATADIR_PATH}/presets"
            COMPONENT Presets
            )

    if(ENABLE_TESTING)
        install(DIRECTORY
                tests
                DESTINATION "${PROJECTM_DATADIR_PATH}/presets"
                COMPONENT Tests
                )
    endif()
endif()

=== plugins/ProM/projectM/src/NativePresets/CMakeLists.txt ===
if(NOT ENABLE_PRESETS OR NOT ENABLE_NATIVE_PRESETS)
    return()
endif()

# Using a macro to reduce repetition.
macro(add_native_preset name)
    if(NOT CMAKE_SYSTEM_NAME STREQUAL "Windows")
        add_library(${name}_static STATIC ${name}.cpp)

        set_target_properties(${name}_static PROPERTIES
                OUTPUT_NAME ${name}
                )

        target_link_libraries(${name}_static
                PRIVATE
                projectM_static
                GLM::GLM
                )
    
        install(TARGETS ${name}_static
                LIBRARY DESTINATION "${PROJECTM_DATADIR_PATH}/presets"
                RUNTIME DESTINATION "${PROJECTM_DATADIR_PATH}/presets"
                ARCHIVE DESTINATION "${PROJECTM_DATADIR_PATH}/presets"
                COMPONENT Presets
                )
    endif()

    add_library(${name}_shared SHARED ${name}.cpp)

    target_compile_definitions(${name}_shared
            PRIVATE
            ${name}_EXPORTS
            )

    set_target_properties(${name}_shared PROPERTIES
            OUTPUT_NAME ${name}
            )

    # On Windows, libprojectM is only built statically.
    if(CMAKE_SYSTEM_NAME STREQUAL "Windows")
        target_link_libraries(${name}_shared
            PRIVATE
            projectM_static
            )
    else()
        target_link_libraries(${name}_shared
            PRIVATE
            projectM_shared
            )
    endif()

    target_link_libraries(${name}_shared
            PRIVATE
            GLM::GLM
            )

    install(TARGETS ${name}_shared
            LIBRARY DESTINATION "${PROJECTM_DATADIR_PATH}/presets"
            RUNTIME DESTINATION "${PROJECTM_DATADIR_PATH}/presets"
            ARCHIVE DESTINATION "${PROJECTM_DATADIR_PATH}/presets"
            COMPONENT Presets
            )
endmacro()

add_native_preset(MstressJuppyDancer)
add_native_preset(RLGFractalDrop7c)
add_native_preset(RovastarDarkSecret)
add_native_preset(RovastarDriftingChaos)
add_native_preset(RovastarFractalSpiral)
add_native_preset(RovastarFractopiaFrantic)

=== plugins/ProM/projectM/src/libprojectM/CMakeLists.txt ===
add_compile_definitions(
        DATADIR_PATH="${PROJECTM_DATADIR_PATH}"
        GL_SILENCE_DEPRECATION
        USE_TEXT_MENU
)

if(CMAKE_SYSTEM_NAME STREQUAL "Windows")
    # dirent.h support
    set(MSVC_EXTRA_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/msvc")
    include_directories("${MSVC_EXTRA_INCLUDE_DIR}")
    
    add_library(dlfcn OBJECT
            msvc/dlfcn.c
            msvc/dlfcn.h
            )
            
    set_target_properties(dlfcn PROPERTIES
            FOLDER libprojectM
            )

    # Additional preprocessor definitions for Windows builds
    add_compile_definitions(
            USE_FTGL
            USE_NATIVE_GLEW
            STBI_NO_DDS
            projectM_FONT_MENU="${CMAKE_SOURCE_DIR}/fonts/VeraMono.ttf"
            projectM_FONT_TITLE="${CMAKE_SOURCE_DIR}/fonts/Vera.ttf"
            )
endif()

add_subdirectory(MilkdropPresetFactory)
add_subdirectory(NativePresetFactory)
add_subdirectory(Renderer)

set(PROJECTM_EXPORT_HEADER "${CMAKE_CURRENT_BINARY_DIR}/include/libprojectM/projectM_export.h")

# CMake cannot combine multiple static libraries using target_link_libraries.
# This syntax will pull in the compiled object files into the final library.
add_library(projectM_main OBJECT
        "${PROJECTM_EXPORT_HEADER}"
        Common.hpp
        ConfigFile.cpp
        ConfigFile.h
        event.h
        fatal.h
        fftsg.cpp
        fftsg.h
        FileScanner.cpp
        FileScanner.hpp
        glError.h
        gltext.h
        HungarianMethod.hpp
        IdleTextures.hpp
        KeyHandler.cpp
        KeyHandler.hpp
        lvtoprojectM.h
        PCM.cpp
        PCM.hpp
        PipelineMerger.cpp
        PipelineMerger.hpp
        Preset.cpp
        Preset.hpp
        PresetChooser.cpp
        PresetChooser.hpp
        PresetFactory.cpp
        PresetFactory.hpp
        PresetFactoryManager.cpp
        PresetFactoryManager.hpp
        PresetLoader.cpp
        PresetLoader.hpp
        projectM.cpp
        projectM.hpp
        projectM-opengl.h
        RandomNumberGenerators.hpp
        resource.h
        sdltoprojectM.h
        TestRunner.cpp
        TestRunner.hpp
        TimeKeeper.cpp
        TimeKeeper.hpp
        timer.cpp
        timer.h
        wipemalloc.cpp
        wipemalloc.h
        )

target_include_directories(projectM_main
        PRIVATE
        "${CMAKE_SOURCE_DIR}/src"
        "${CMAKE_CURRENT_SOURCE_DIR}"
        "${CMAKE_CURRENT_SOURCE_DIR}/Renderer"
        "${CMAKE_CURRENT_SOURCE_DIR}/Renderer/hlslparser/src"
        "${CMAKE_CURRENT_SOURCE_DIR}/MilkdropPresetFactory"
        "${CMAKE_CURRENT_SOURCE_DIR}/NativePresetFactory"
        "${MSVC_EXTRA_INCLUDE_DIR}"
        )

target_link_libraries(projectM_main
        PRIVATE
        GLM::GLM
        PUBLIC
        ${PROJECTM_OPENGL_LIBRARIES}
        )

include(GenerateExportHeader)

generate_export_header(projectM_main
        BASE_NAME projectM
        EXPORT_FILE_NAME "${PROJECTM_EXPORT_HEADER}"
        )

if (ENABLE_STATIC_LIB)
    include(libprojectM_static.cmake)
endif()

if(ENABLE_SHARED_LIB)
    include(libprojectM_shared.cmake)
endif()

if(ENABLE_SHARED_LINKING)
    add_library(projectM::libprojectM ALIAS projectM_shared)
else()
    add_library(projectM::libprojectM ALIAS projectM_static)
endif()

install(FILES
        event.h
        projectM.h
        "${CMAKE_CURRENT_BINARY_DIR}/include/libprojectM/projectM_export.h"
        DESTINATION "${PROJECTM_INCLUDE_DIR}/libprojectM"
        COMPONENT Devel
        )

if(ENABLE_CXX_INTERFACE)
    install(FILES
            Common.hpp
            PCM.hpp
            fatal.h
            projectM.hpp
            DESTINATION "${PROJECTM_INCLUDE_DIR}/libprojectM"
            COMPONENT Devel
            )
endif()


# CMake target exports

# For use from a local projectM build tree (without installing)
export(TARGETS
        MilkdropPresetFactory
        NativePresetFactory
        Renderer
        hlslparser
        SOIL2
        ${EXPORT_STATIC_LIB_TARGET}
        ${EXPORT_SHARED_LIB_TARGET}
        NAMESPACE libprojectM::
        FILE projectM-exports.cmake
        )

export(PACKAGE libprojectM)



# For use from an installed package (system install, vcpkg, homebrew etc.)
include(CMakePackageConfigHelpers)

write_basic_package_version_file(
        "${CMAKE_CURRENT_BINARY_DIR}/libprojectM/libprojectMConfigVersion.cmake"
        VERSION ${PROJECT_VERSION}
        COMPATIBILITY AnyNewerVersion
)

configure_package_config_file(libprojectMConfig.cmake.in
        "${CMAKE_CURRENT_BINARY_DIR}/libprojectM/libprojectMConfig.cmake"
        INSTALL_DESTINATION "${PROJECTM_LIB_DIR}/cmake/libprojectM"
        PATH_VARS PROJECTM_BIN_DIR PROJECTM_INCLUDE_DIR PROJECTM_DATADIR_PATH
        )

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/libprojectM/libprojectMConfigVersion.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/libprojectM/libprojectMConfig.cmake"
        DESTINATION "${PROJECTM_LIB_DIR}/cmake/libprojectM"
        COMPONENT Devel
        )

install(EXPORT libprojectMTargets
        FILE libprojectMTargets.cmake
        NAMESPACE libprojectM::
        DESTINATION "${PROJECTM_LIB_DIR}/cmake/libprojectM"
        COMPONENT Devel
        )


# If the path is not absolute, need to add the prefix path (and hope the result is absolute).
if(NOT IS_ABSOLUTE PROJECTM_DATADIR_PATH)
    set(PROJECTM_DATADIR_PATH_ABSOLUTE "${CMAKE_INSTALL_PREFIX}/${PROJECTM_DATADIR_PATH}")
else()
    set(PROJECTM_DATADIR_PATH_ABSOLUTE "${PROJECTM_DATADIR_PATH}")
endif()

configure_file(config.inp.cmake.in "${CMAKE_BINARY_DIR}/config.inp" @ONLY)
install(FILES "${CMAKE_BINARY_DIR}/config.inp"
        DESTINATION "${PROJECTM_DATADIR_PATH}/"
        COMPONENT Runtime
        )

install(DIRECTORY "${CMAKE_SOURCE_DIR}/fonts"
        DESTINATION "${PROJECTM_DATADIR_PATH}"
        COMPONENT Runtime
        )

=== plugins/ProM/projectM/src/projectM-libvisual/CMakeLists.txt ===
if(NOT ENABLE_LIBVISUAL)
    return()
endif()


add_library(projectM_libvisual SHARED
        actor_projectM.cpp
        ConfigFile.cpp
        ConfigFile.h
        lvtoprojectM.h
        )

target_compile_definitions(projectM_libvisual
        PRIVATE
        PROJECTM_PREFIX="${CMAKE_INSTALL_PREFIX}"
        )

target_link_libraries(projectM_libvisual
        PUBLIC
        projectM_shared
        libvisual::libvisual
        ${CMAKE_DL_LIBS}
        )

install(TARGETS projectM_libvisual
        LIBRARY DESTINATION "${PROJECTM_LIBVISUAL_DIR}"
        RUNTIME DESTINATION "${PROJECTM_LIBVISUAL_DIR}"
        ARCHIVE DESTINATION "${PROJECTM_LIBVISUAL_DIR}"
        COMPONENT libvisual
        )

=== plugins/ProM/projectM/src/projectM-sdl/CMakeLists.txt ===
if(NOT ENABLE_SDL)
    return()
endif()

add_executable(projectMSDL
        audioCapture.cpp
        audioCapture.hpp
        loopback.cpp
        loopback.hpp
        pmSDL.hpp
        pmSDL.cpp
        projectM_SDL_main.cpp
        setup.cpp
        setup.hpp
        )

target_compile_definitions(projectMSDL
        PRIVATE
        PROJECTM_PREFIX="${CMAKE_INSTALL_PREFIX}"
        )

target_link_libraries(projectMSDL
        PRIVATE
        projectM::libprojectM
        GLM::GLM
        SDL2::SDL2
        SDL2::SDL2main
        ${CMAKE_DL_LIBS}
        )

install(TARGETS projectMSDL
        RUNTIME DESTINATION "${PROJECTM_BIN_DIR}"
        COMPONENT Applications
        )

=== debian/changelog ===
dpf-plugins (1.7+ds-2build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:11:33 +0000

dpf-plugins (1.7+ds-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:49:41 +0000

dpf-plugins (1.7+ds-2build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:31:56 +0000

=== debian/control ===
Source: dpf-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <snd@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libgl-dev,
 libglm-dev,
 libglu1-mesa-dev,
 liblo-dev,
 libprojectm-dev,
 librtaudio-dev,
 librtmidi-dev,
 libx11-dev,
 libxcursor-dev,
 libxext-dev,
 libxrandr-dev,
 pkg-config,
Homepage: https://github.com/DISTRHO/DPF-Plugins
Vcs-Git: https://salsa.debian.org/multimedia-team/dpf-plugins.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/dpf-plugins
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: dpf-plugins
Architecture: any
Depends:
 dpf-plugins-clap,
 dpf-plugins-common,
 dpf-plugins-dssi,
 dpf-plugins-ladspa,
 dpf-plugins-lv2,
 dpf-plugins-vst,
 dpf-plugins-vst3,
 ${misc:Depends},
Description: Audio plugin collection from DISTRHO (metapackage)
 Metapackage pulling-in collection of DPF-based plugins in
 CLAP, LADSPA, DSSI, LV2, VST2 and VST3 formats.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-common
Architecture: any
Depends:
 projectm-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Audio plugin collection from DISTRHO (common files)
 Common files for collection of DPF-based plugins in
 CLAP, LADSPA, DSSI, LV2, VST2 and VST3 formats.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-clap
Architecture: any
Depends:
 dpf-plugins-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 clap-plugin,
Description: Audio plugin collection from DISTRHO (CLAP plugins)
 Collection of DPF-based plugins in CLAP format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-ladspa
Architecture: any
Depends:
 dpf-plugins-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ladspa-plugin,
Description: Audio plugin collection from DISTRHO (LADSPA plugins)
 Collection of DPF-based plugins in LADSPA format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-lv2
Architecture: any
Depends:
 dpf-plugins-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 lv2-plugin,
Description: Audio plugin collection from DISTRHO (LV2 plugins)
 Collection of DPF-based plugins in LV2 format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-vst
Architecture: any
Depends:
 dpf-plugins-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 vst-plugin,
Description: Audio plugin collection from DISTRHO (VST2 plugins)
 Collection of DPF-based plugins in VST2 format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-vst3
Architecture: any
Depends:
 dpf-plugins-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 vst3-plugin,
Description: Audio plugin collection from DISTRHO (VST3 plugins)
 Collection of DPF-based plugins in VST3 format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-plugins-dssi
Architecture: any
Depends:
 dpf-plugins-common,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 dssi-plugin,
Description: Audio plugin collection from DISTRHO (DSSI plugins)
 Collection of DPF-based plugins in DSSI format.
 .
 The list of plugins/packs are:
  - glBars
  - Kars
  - Mini-Series (3BandEQ, 3BandSplitter, PingPongPan)
  - ndc-Plugs (Amplitude Imposer, Cycle Shifter, Soul Force)
  - MVerb
  - Nekobi
  - ProM

Package: dpf-source
Architecture: all
Depends:
 fonts-dejavu-core,
 python3:any,
 ${misc:Depends},
Description: DISTRHO Plugin Framework (Source files)
 DPF is designed to make development of new plugins an easy
 and enjoyable task.
 It allows developers to create plugins with custom UIs
 using a simple C++ API.
 The framework facilitates exporting various different
 plugin formats from the same code-base.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
export PREFIX = /usr

## DPF specific vars to streamline the package for Debian
# we do the stripping ourselves
export SKIP_STRIPPING = true
# we have a base architecture to support
export NOOPT = true
# build loud
export VERBOSE = true
# support cross-compilation
ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
	export CROSS_COMPILING = true
endif

%:
	dh $@

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: ^Compiling .*"

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		CXXFLAGS="$(CPPFLAGS) $(CXXFLAGS)" \
		$(empty)

# Clean the dpf-source package
execute_after_dh_auto_install:
	rm -fr $(CURDIR)/dpf/build \
		$(CURDIR)/dpf/dgl/src/pugl-upstream/.gitignore \
		$(CURDIR)/dpf/utils/lv2_ttl_generator*

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|.*\.png|.*\.jpg|.*\.psd|.*\.icns|.*\.ico|.*/VeraMono\.ttf|.*/DejaVuSans\.ttf|.*/DEVROYE_\.otf|dpf/lac/2014-small-talk\.odp
        #debian/.*|.*\.png|.*\.jpg|.*\.psd|.*\.icns|.*\.ico|.*/VeraMono\.ttf|.*/DejaVuSans\.ttf|.*/DEVROYE_\.otf|dpf/lac/2014-small-talk\.odp|.*\.lib|.*\.pch|.*\.aps
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dpf-plugins-$1\.tar\.gz/,\
  repacksuffix=+ds,\
  dversionmangle=auto \
  https://github.com/DISTRHO/DPF-Plugins/tags .*/v?(\d\S+)\.tar\.gz
